petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscMallocSet

Sets the routines used to do mallocs and frees. This routine MUST be called before PetscInitialize() and may be called only once.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocSet(PetscErrorCode (*imalloc)(size_t,PetscBool,int,const char[],const char[],void**),
                                  PetscErrorCode (*ifree)(void*,int,const char[],const char[]),
                                  PetscErrorCode (*iralloc)(size_t, int, const char[], const char[], void **))

Not Collective

### Input Parameters

| imalloc | - the routine that provides the malloc (also provides calloc(), which is used depends on the second argument)
| ifree | - the routine that provides the free
| iralloc | - the routine that provides the realloc

### Level

developer

### Location

src/sys/memory/mal.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages